diff --git a/web/pgadmin/browser/server_groups/servers/roles/__init__.py b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
index 7631b65..13fc289 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
@@ -709,7 +709,7 @@ rolmembership:{
                     _("Could not generate reversed engineered Query for the role.")
                     )
 
-        return ajax_response(response=res)
+        return ajax_response(response=res.strip('\n'))
 
     @check_precondition(action='create')
     @validate_request
@@ -823,7 +823,7 @@ rolmembership:{
                         data=self.request,
                         dummy=True,
                         conn=self.conn
-                        )
+                        ).strip('\n')
                     )
         else:
             return make_json_response(
@@ -837,7 +837,7 @@ rolmembership:{
                         rolCatUpdate=self.rolCatUpdate,
                         rolSuper=self.rolSuper,
                         alterKeys=self.alterKeys
-                        )
+                        ).strip('\n')
                     )
 
     @check_precondition()
diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/js/role.js b/web/pgadmin/browser/server_groups/servers/roles/templates/role/js/role.js
index 55d2fd1..64fd32b 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/js/role.js
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/js/role.js
@@ -465,6 +465,9 @@ function($, _, S, pgAdmin, pgBrowser, alertify, Backform) {
             defaults: {
               role: undefined,
               admin: false
+            },
+            validate: function() {
+              return null;
             }
           }),
           filter: function(d) {
